AtteanX::Parser::SPARQL(3pm)

NAME
AtteanX::Parser::SPARQL - SPARQL 1.1 Parser.

VERSION
This document describes AtteanX::Parser::SPARQL version 0.012.

SYNOPSIS
 use AtteanX::Parser::SPARQL;
 my $parser     = AtteanX::Parser::SPARQL->new();
 my $algbrea = $parser->parse($sparql, $base_uri);
 # or:
 my ($algebra) = $parser->parse_list_from_bytes($sparql, $base_uri);

DESCRIPTION
...

ATTRIBUTES

"canonical_media_type"
"media_types"
"file_extensions"
"handled_type"
"lexer"
"args"
"build"
"update"
"namespaces"
"baseURI"
"filters"

METHODS

"parse_list_from_io( $fh )"
"parse_list_from_bytes( $bytes )"
"parse ( $update_flag )"
    If $update_flag is true, the query will be parsed allowing SPARQL 1.1 Update statements.

"error"
    Returns the error encountered during the last parse.

"new_binary_expression ( $operator, @operands )"
    Returns a new binary expression structure.

"new_function_expression ( $function, @operands )"
    Returns a new function expression structure.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.